Bug 1789602 - Some schema data is missing on explore page
Summary: Some schema data is missing on explore page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1801660
TreeView+ depends on / blocked
 
Reported: 2020-01-09 21:36 UTC by Samuel Padgett
Modified: 2020-05-04 11:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1801660 (view as bug list)
Environment:
Version: 4.4.0-0.ci-2020-01-08-115313 Cluster ID: 20c547b3-48fd-4c0a-b9a1-e71ebf55c4f1 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-05-04 11:23:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Missing properties (196.93 KB, image/png)
2020-01-09 21:36 UTC, Samuel Padgett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4243 0 None closed Bug 1789602: Property array should render its properties on schema page 2020-07-06 02:40:01 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:24:24 UTC

Description Samuel Padgett 2020-01-09 21:36:13 UTC
Created attachment 1651069 [details]
Missing properties

`oc explain` should the right detail for `consoleclidownload.spec.links`, but the fields and descriptions are missing from the console explore page. (See scerenshot.)

$ oc explain consoleclidownload.spec.links
KIND:     ConsoleCLIDownload
VERSION:  console.openshift.io/v1

RESOURCE: links <[]Object>

DESCRIPTION:
     links is a list of objects that provide CLI download link details.

FIELDS:
   href <string> -required-
     href is the absolute secure URL for the link (must use https)

   text <string>
     text is the display text for the link

Comment 2 Yanping Zhang 2020-02-13 08:15:31 UTC
OCP 4.4 env with payload: 4.4.0-0.nightly-2020-02-12-191550
Check consoleclidownload schema form explore page: <cluster>/api-resource/cluster/console.openshift.io~v1~ConsoleCLIDownload/schema
Now contexts shown in "oc explain consoleclidownload.spec.links" are listed on page.
The bug is fixed.

Comment 4 errata-xmlrpc 2020-05-04 11:23:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.